%define name BackupPC-server-scripts
%define version 0.1.2
%define release 1

Name:           %{name}
Version:        %{version}
Release:        %{release}%{?dist}
Summary:        Some scripts for a BackupPC server

Group:          Applications/System
License:        GNU GPL
URL:            http://gitweb.firewall-services.com/?p=BackupPC-server-scripts;a=summary
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch
Requires:       BackupPC
Requires:       winexe


%description
Provides some scripts to run a a BackupPC server.
Like pre-backup scripts for Windows boxes

%changelog
* Wed Sep 16 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.1.2-1
- Adapt winexe commandline args so it works with winexe 1.1

* Thu Jul 5 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0
- initial release

%prep
%setup -q

%build

%install
%{__rm} -rf $RPM_BUILD_ROOT

# Install backup script
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}/
%{__install} -m 0755 scripts/win-* $RPM_BUILD_ROOT%{_bindir}/

# coreutils doesn't provides a timeout command in EL5
# So include the bash one
%if 0%{?rhel} == 5
%{__install} -m 0755 scripts/timeout $RPM_BUILD_ROOT%{_bindir}/
%endif

# Install conf
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/BackupPC
%{__install} -m 0640 conf/* $RPM_BUILD_ROOT%{_sysconfdir}/BackupPC/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGELOG.git
%{_bindir}/*
%config(noreplace) %attr(0640, root, backuppc) %{_sysconfdir}/BackupPC/*

